Skip to main content
`Ctrl`+`K`

# TaoShellSetContext

sets the context for a `TAOSHELL`

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoShellSetContext(Tao tao, void *ctx)

Logically Collective

## Input Parameters

- tao - the shell Tao

- ctx - the context

## Fortran Notes

The context can only be an integer or a `PetscObject`

## See Also

`Tao`, `TAOSHELL`, `TaoShellGetContext()`

## Level

advanced

## Location

src/tao/shell/taoshell.c

## Examples

src/tao/constrained/tutorials/tomographyADMM.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages